Manjaro Linux

Русское сообщество

HPLIP в manjaro

Проблемы и вопросы, касающиеся ядра и аппаратной поддержки.

Re: HPLIP в manjaro

Сообщение dimonmmk » 23 июл 2014, 11:47

На http://localhost:631 посмотрите очередь печати. Если заданий нет, перезапустите CUPS, попробуйте снова.
Аватара пользователя
dimonmmk
 
Сообщения: 604
Зарегистрирован: 10 июл 2014, 19:08
Откуда: 57° 3'51.28" 36° 1'43.38"
Благодарил (а): 14 раз.
Поблагодарили: 134 раз.

Re: HPLIP в manjaro

Сообщение Рарогъ » 23 июл 2014, 11:51

Если заданий нет, перезапустите CUPS

Задание висело в отложенных. Мы одновременно писали )))) Прочтите мое предыдущее сообщение ...... Принтер запустился, остался сканер
Аватара пользователя
Рарогъ
 
Автор темы
Сообщения: 67
Зарегистрирован: 04 июл 2014, 22:21
Откуда: Анапа
Благодарил (а): 3 раз.
Поблагодарили: 6 раз.

Re: HPLIP в manjaro

Сообщение dimonmmk » 23 июл 2014, 12:10

Рарогъ писал(а):Принтер запустился,

Уже хорошо...
Рарогъ писал(а):остался сканер

Покажите вывод hp-check
Аватара пользователя
dimonmmk
 
Сообщения: 604
Зарегистрирован: 10 июл 2014, 19:08
Откуда: 57° 3'51.28" 36° 1'43.38"
Благодарил (а): 14 раз.
Поблагодарили: 134 раз.

Re: HPLIP в manjaro

Сообщение Рарогъ » 23 июл 2014, 12:15

Пожалуйста:
hp-check
[ingeneer@ingeneer-pro ~]$ hp-check
Saving output in log file: /home/ingeneer/hp-check.log

HP Linux Imaging and Printing System (ver. 3.14.6)
Dependency/Version Check Utility ver. 15.1

Copyright (c) 2001-13 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies are installed to
successfully compile HPLIP.
2. Run-time check mode (-r or --run): Use this mode to determine if a distro supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball has the proper
dependencies installed to successfully run.
3. Both compile- and run-time check mode (-b or --both) (Default): This mode will check both of the above cases (both compile- and run-time dependencies).

Check types:
a. EXTERNALDEP - External Dependencies
b. GENERALDEP - General Dependencies (required both at compile and run time)
c. COMPILEDEP - Compile time Dependencies
d. [All are run-time checks]
PYEXT SCANCONF QUEUES PERMISSION

Status Types:
OK
MISSING - Missing Dependency or Permission or Plug-in
INCOMPAT - Incompatible dependency-version or Plugin-version

warning: manjarolinux distro is not found in AUTH_TYPES
/
(hp-check:1477): Gtk-WARNING **: ??????????? ?????? ??? ?? ?????? ? module_path: ?adwaita?,

(hp-check:1477): Gtk-WARNING **: ??????????? ?????? ??? ?? ?????? ? module_path: ?adwaita?,
warning: unknown-0.0 version is not supported. Using unknown-0 versions dependencies to verify and install...

---------------
| SYSTEM INFO |
---------------

Kernel: 3.15.6-1-MANJARO #1 SMP PREEMPT Fri Jul 18 09:43:27 UTC 2014 GNU/Linux
Host: ingeneer-pro
Proc: 3.15.6-1-MANJARO #1 SMP PREEMPT Fri Jul 18 09:43:27 UTC 2014 GNU/Linux
Distribution: unknown 0.0
Bitness: 64 bit


-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.14.6
HPLIP-Home: /usr/share/hplip
warning: HPLIP-Installation: Auto installation is not supported for unknown distro 0.0 version

Current contents of '/etc/hp/hplip.conf' file:
# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=3.14.6

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.14.6
html=/usr/share/doc/hplip-3.14.6
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin

# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=yes
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=yes
foomatic-drv-install=yes
foomatic-ppd-install=yes
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=yes
internal-tag=3.14.6
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
policy-kit=no
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no


Current contents of '/var/lib/hp/hplip.state' file:
[plugin]
installed = 1
eula = 1
version = 3.14.6



Current contents of '~/.hplip/hplip.conf' file:
[settings]
systray_visible = 2
systray_messages = 2

[last_used]
device_uri = "hp:/net/HP_LaserJet_M1120n_MFP?ip=192.168.78.240"
printer_name =
working_dir = .

[commands]
scan =

[refresh]
rate = 30
enable = true
type = 2

[polling]
enable = false
interval = 5
device_list =

[fax]
voice_phone =
email_address =

[upgrade]
notify_upgrade = false
last_upgraded_time = 1406100495.52595
pending_upgrade_time = 0

[installation]
date_time = 23.07.2014 12:10:48
version = 3.14.6


<Package-name> <Package-Desc> <Required/Optional> <Min-Version> <Installed-Version> <Status> <Comment>

--------------------------
| External Dependencies |
--------------------------

policykit Admin-Policy-framework OPTIONAL - 0.112 OK -
gs Ghostscript REQUIRED 7.05 9.14 OK -
network Network-wget OPTIONAL - 1.15 OK -
scanimage Shell-Scanning OPTIONAL 1.0 1.0.24 OK -
avahi-utils avahi-utils OPTIONAL - 0.6.31 OK -
dbus DBus REQUIRED - 1.8.6 OK -
cups CUPS REQUIRED 1.1 1.7.4 OK 'CUPS Scheduler is running'
error: xsane SANE-GUI OPTIONAL 0.9 - MISSING 'xsane needs to be installed'

-------------------------
| General Dependencies |
-------------------------

error: reportlab Python-PDF-Lib OPTIONAL 2.0 - MISSING 'reportlab needs to be installed'
libcrypto OpenSSL-Crypto-Lib REQUIRED - 1.0.1 OK -
pil Python-Image-Lib OPTIONAL - 1.1.7 OK -
pyqt4-dbus PyQt4-DBUS REQUIRED 4.0 4.11.1 OK -
libjpeg JPEG-Lib REQUIRED - - OK -
libpthread POSIX-Threads-Lib REQUIRED - 2.19 OK -
python-dbus Python-DBUS REQUIRED 0.80.0 1.2.0 OK -
python-devel Python-SDK REQUIRED 2.2 3.4.1 OK -
pyqt4 Python-Qt4 REQUIRED 4.0 4.11.1 OK -
cups-devel CUPS-SDK REQUIRED - 1.7.4 OK -
sane-devel SANE-SDK REQUIRED - 1.0.24 OK -
libusb USB-Lib REQUIRED - 1.0 OK -
sane Scan-Lib REQUIRED - 1.0.24 OK -
cups-image CUPS-Image-Lib REQUIRED - 1.7.4 OK -
libnetsnmp-devel SNMP-Networking-SDK REQUIRED 5.0.9 5.7.2 OK -
python-xml Python-XML-Lib REQUIRED - 2.1.0 OK -
python-notify Desktop-notifications OPTIONAL - - OK -

------------------------------
| Compile Time Dependencies |
------------------------------

gcc gcc-Compiler REQUIRED - 4.9.0 OK -
libtool Build-tools REQUIRED - 2.4.2 OK -
make GNU-Build-tools REQUIRED 3.0 4.0 OK -

----------------------
| Python Extentions |
----------------------

cupsext CUPS-Extension REQUIRED - 3.14.6 OK -
pcardext PhotoCard-Extension REQUIRED - 3.14.6 OK -
hpmudext IO-Extension REQUIRED - 3.14.6 OK -

-----------------------
| Scan Configuration |
-----------------------

'/etc/sane.d/dll.d/hpaio' not found.
'/etc/sane.d/dll.d/hplip' not found.
error: 'hpaio' not found in SANE conf files. Is SANE installed?
error: hpaio HPLIP-SANE-Backend REQUIRED - 3.14.6 MISSING 'hpaio not found in /etc/sane.d/dll.conf. hpaio needs to be added in this file.'
scanext Scan-SANE-Extension REQUIRED - 3.14.6 OK -

------------------------------
| DISCOVERED SCANNER DEVICES |
------------------------------

No Scanner found.

--------------------------
| DISCOVERED USB DEVICES |
--------------------------

No devices found.

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------


HP_LaserJet_M1120n_MFP
----------------------
Type: Printer
Device URI: hp:/net/HP_LaserJet_M1120n_MFP?ip=192.168.78.240
PPD: /etc/cups/ppd/HP_LaserJet_M1120n_MFP.ppd
PPD Description: HP LaserJet m1120n MFP, hpcups 3.14.6, requires proprietary plugin
Printer ready to printr HP_LaserJet_M1120n_MFP is idle. enabled since Ср 23 июл 2014 11:39:43
Required plug-in status: Installed
Communication status: Good


--------------
| PERMISSION |
--------------


-----------
| SUMMARY |
-----------

Missing Required Dependencies
-----------------------------
error: 'hpaio' package is missing/incompatible

Missing Optional Dependencies
-----------------------------
None


Total Errors: 3
Total Warnings: 0

Run 'hp-doctor' command to prompt and fix the issues.

Done.
Аватара пользователя
Рарогъ
 
Автор темы
Сообщения: 67
Зарегистрирован: 04 июл 2014, 22:21
Откуда: Анапа
Благодарил (а): 3 раз.
Поблагодарили: 6 раз.

Re: HPLIP в manjaro

Сообщение dimonmmk » 23 июл 2014, 12:31

Рарогъ писал(а):
Код: Выделить всё
'/etc/sane.d/dll.d/hpaio' not found.'/etc/sane.d/dll.d/hplip' not found.error: 'hpaio' not found in SANE conf files. Is SANE installed? error: hpaio         HPLIP-SANE-Backend        REQUIRED        -               3.14.6          MISSING    'hpaio not found in /etc/sane.d/dll.conf. hpaio needs to be added in this file.

Ага.
Ну тогда:
Код: Выделить всё
export SANE_DEBUG_DLL=128

scanimage -L

hp-check
Аватара пользователя
dimonmmk
 
Сообщения: 604
Зарегистрирован: 10 июл 2014, 19:08
Откуда: 57° 3'51.28" 36° 1'43.38"
Благодарил (а): 14 раз.
Поблагодарили: 134 раз.

Re: HPLIP в manjaro

Сообщение Рарогъ » 23 июл 2014, 12:44

По первому пункту просто выполнилась команда без вывода в консоли, а вот дальше......
scanimage -L
[ingeneer@ingeneer-pro ~]$ export SANE_DEBUG_DLL=128
[ingeneer@ingeneer-pro ~]$ scanimage -L
[sanei_debug] Setting debug level of dll to 128.
[dll] sane_init: SANE dll backend version 1.0.13 from sane-backends 1.0.24
[dll] sane_init/read_dlld: attempting to open directory `./dll.d&#39;
[dll] sane_init/read_dlld: attempting to open directory `/etc/sane.d/dll.d&#39;
[dll] sane_init/read_dlld: using config directory `/etc/sane.d/dll.d&#39;
[dll] sane_init/read_dlld: done.
[dll] sane_init/read_config: reading dll.conf
[dll] add_backend: adding backend `net&#39;
[dll] add_backend: adding backend `abaton&#39;
[dll] add_backend: adding backend `agfafocus&#39;
[dll] add_backend: adding backend `apple&#39;
[dll] add_backend: adding backend `avision&#39;
[dll] add_backend: adding backend `artec&#39;
[dll] add_backend: adding backend `artec_eplus48u&#39;
[dll] add_backend: adding backend `as6e&#39;
[dll] add_backend: adding backend `bh&#39;
[dll] add_backend: adding backend `canon&#39;
[dll] add_backend: adding backend `canon630u&#39;
[dll] add_backend: adding backend `canon_dr&#39;
[dll] add_backend: adding backend `cardscan&#39;
[dll] add_backend: adding backend `coolscan&#39;
[dll] add_backend: adding backend `coolscan3&#39;
[dll] add_backend: adding backend `dell1600n_net&#39;
[dll] add_backend: adding backend `dmc&#39;
[dll] add_backend: adding backend `epjitsu&#39;
[dll] add_backend: adding backend `epson2&#39;
[dll] add_backend: adding backend `fujitsu&#39;
[dll] add_backend: adding backend `genesys&#39;
[dll] add_backend: adding backend `gt68xx&#39;
[dll] add_backend: adding backend `hp&#39;
[dll] add_backend: adding backend `hp3900&#39;
[dll] add_backend: adding backend `hpsj5s&#39;
[dll] add_backend: adding backend `hp3500&#39;
[dll] add_backend: adding backend `hp4200&#39;
[dll] add_backend: adding backend `hp5400&#39;
[dll] add_backend: adding backend `hp5590&#39;
[dll] add_backend: adding backend `hpljm1005&#39;
[dll] add_backend: adding backend `hs2p&#39;
[dll] add_backend: adding backend `ibm&#39;
[dll] add_backend: adding backend `kodak&#39;
[dll] add_backend: adding backend `kodakaio&#39;
[dll] add_backend: adding backend `kvs1025&#39;
[dll] add_backend: adding backend `kvs20xx&#39;
[dll] add_backend: adding backend `leo&#39;
[dll] add_backend: adding backend `lexmark&#39;
[dll] add_backend: adding backend `ma1509&#39;
[dll] add_backend: adding backend `magicolor&#39;
[dll] add_backend: adding backend `matsushita&#39;
[dll] add_backend: adding backend `microtek&#39;
[dll] add_backend: adding backend `microtek2&#39;
[dll] add_backend: adding backend `mustek&#39;
[dll] add_backend: adding backend `mustek_usb&#39;
[dll] add_backend: adding backend `mustek_usb2&#39;
[dll] add_backend: adding backend `nec&#39;
[dll] add_backend: adding backend `niash&#39;
[dll] add_backend: adding backend `pie&#39;
[dll] add_backend: adding backend `pint&#39;
[dll] add_backend: adding backend `pixma&#39;
[dll] add_backend: adding backend `plustek&#39;
[dll] add_backend: adding backend `qcam&#39;
[dll] add_backend: adding backend `ricoh&#39;
[dll] add_backend: adding backend `rts8891&#39;
[dll] add_backend: adding backend `s9036&#39;
[dll] add_backend: adding backend `sceptre&#39;
[dll] add_backend: adding backend `sharp&#39;
[dll] add_backend: adding backend `sm3600&#39;
[dll] add_backend: adding backend `sm3840&#39;
[dll] add_backend: adding backend `snapscan&#39;
[dll] add_backend: adding backend `sp15c&#39;
[dll] add_backend: adding backend `tamarack&#39;
[dll] add_backend: adding backend `teco1&#39;
[dll] add_backend: adding backend `teco2&#39;
[dll] add_backend: adding backend `teco3&#39;
[dll] add_backend: adding backend `u12&#39;
[dll] add_backend: adding backend `umax&#39;
[dll] add_backend: adding backend `umax1220u&#39;
[dll] add_backend: adding backend `v4l&#39;
[dll] add_backend: adding backend `xerox_mfp&#39;
[dll] sane_get_devices
[dll] load: searching backend `xerox_mfp&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-xerox_mfp.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-xerox_mfp.so.1&#39;
[dll] init: initializing backend `xerox_mfp&#39;
[dll] init: backend `xerox_mfp&#39; is version 1.0.13
[dll] load: searching backend `v4l&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-v4l.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-v4l.so.1&#39;
[dll] init: initializing backend `v4l&#39;
[dll] init: backend `v4l&#39; is version 1.0.5
[dll] load: searching backend `umax1220u&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-umax1220u.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-umax1220u.so.1&#39;
[dll] init: initializing backend `umax1220u&#39;
[dll] init: backend `umax1220u&#39; is version 1.0.2
[dll] load: searching backend `umax&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-umax.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-umax.so.1&#39;
[dll] init: initializing backend `umax&#39;
[dll] init: backend `umax&#39; is version 1.0.45
[dll] load: searching backend `u12&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-u12.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-u12.so.1&#39;
[dll] init: initializing backend `u12&#39;
[dll] init: backend `u12&#39; is version 1.0.0
[dll] load: searching backend `teco3&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-teco3.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-teco3.so.1&#39;
[dll] init: initializing backend `teco3&#39;
[dll] init: backend `teco3&#39; is version 1.0.1
[dll] load: searching backend `teco2&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-teco2.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-teco2.so.1&#39;
[dll] init: initializing backend `teco2&#39;
[dll] init: backend `teco2&#39; is version 1.0.10
[dll] load: searching backend `teco1&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-teco1.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-teco1.so.1&#39;
[dll] init: initializing backend `teco1&#39;
[dll] init: backend `teco1&#39; is version 1.0.10
[dll] load: searching backend `tamarack&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-tamarack.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-tamarack.so.1&#39;
[dll] init: initializing backend `tamarack&#39;
[dll] init: backend `tamarack&#39; is version 1.0.0
[dll] load: searching backend `sp15c&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-sp15c.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-sp15c.so.1&#39;
[dll] init: initializing backend `sp15c&#39;
[dll] init: backend `sp15c&#39; is version 1.0.0
[dll] load: searching backend `snapscan&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-snapscan.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-snapscan.so.1&#39;
[dll] init: initializing backend `snapscan&#39;
[dll] init: backend `snapscan&#39; is version 1.4.53
[dll] load: searching backend `sm3840&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-sm3840.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-sm3840.so.1&#39;
[dll] init: initializing backend `sm3840&#39;
[dll] init: backend `sm3840&#39; is version 1.0.0
[dll] load: searching backend `sm3600&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-sm3600.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-sm3600.so.1&#39;
[dll] init: initializing backend `sm3600&#39;
[dll] init: backend `sm3600&#39; is version 1.0.6
[dll] load: searching backend `sharp&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-sharp.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-sharp.so.1&#39;
[dll] init: initializing backend `sharp&#39;
[dll] init: backend `sharp&#39; is version 1.0.0
[dll] load: searching backend `sceptre&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-sceptre.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-sceptre.so.1&#39;
[dll] init: initializing backend `sceptre&#39;
[dll] init: backend `sceptre&#39; is version 1.0.10
[dll] load: searching backend `s9036&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-s9036.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-s9036.so.1&#39;
[dll] init: initializing backend `s9036&#39;
[dll] init: backend `s9036&#39; is version 1.0.0
[dll] load: searching backend `rts8891&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-rts8891.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-rts8891.so.1&#39;
[dll] init: initializing backend `rts8891&#39;
[dll] init: backend `rts8891&#39; is version 1.0.2401
[dll] load: searching backend `ricoh&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-ricoh.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-ricoh.so.1&#39;
[dll] init: initializing backend `ricoh&#39;
[dll] init: backend `ricoh&#39; is version 1.0.0
[dll] load: searching backend `qcam&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-qcam.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-qcam.so.1&#39;
[dll] init: initializing backend `qcam&#39;
[dll] init: backend `qcam&#39; is version 1.0.0
[dll] load: searching backend `plustek&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-plustek.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-plustek.so.1&#39;
[dll] init: initializing backend `plustek&#39;
[dll] init: backend `plustek&#39; is version 1.0.0
[dll] load: searching backend `pixma&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-pixma.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-pixma.so.1&#39;
[dll] init: initializing backend `pixma&#39;
[dll] init: backend `pixma&#39; is version 1.0.17
[dll] load: searching backend `pint&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-pint.so.1&#39;
[dll] load: couldn&#39;t open `/usr/lib/sane/libsane-pint.so.1&#39; (No such file or directory)
[dll] load: couldn&#39;t find backend `pint&#39; (No such file or directory)
[dll] load: searching backend `pie&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-pie.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-pie.so.1&#39;
[dll] init: initializing backend `pie&#39;
[dll] init: backend `pie&#39; is version 1.0.9
[dll] load: searching backend `niash&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-niash.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-niash.so.1&#39;
[dll] init: initializing backend `niash&#39;
[dll] init: backend `niash&#39; is version 1.0.1
[dll] load: searching backend `nec&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-nec.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-nec.so.1&#39;
[dll] init: initializing backend `nec&#39;
[dll] init: backend `nec&#39; is version 1.0.0
[dll] load: searching backend `mustek_usb2&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-mustek_usb2.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-mustek_usb2.so.1&#39;
[dll] init: initializing backend `mustek_usb2&#39;
[dll] init: backend `mustek_usb2&#39; is version 1.0.10
[dll] load: searching backend `mustek_usb&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-mustek_usb.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-mustek_usb.so.1&#39;
[dll] init: initializing backend `mustek_usb&#39;
[dll] init: backend `mustek_usb&#39; is version 1.0.18
[dll] load: searching backend `mustek&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-mustek.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-mustek.so.1&#39;
[dll] init: initializing backend `mustek&#39;
[dll] init: backend `mustek&#39; is version 1.0.138
[dll] load: searching backend `microtek2&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-microtek2.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-microtek2.so.1&#39;
[dll] init: initializing backend `microtek2&#39;
[dll] init: backend `microtek2&#39; is version 1.0.0
[dll] load: searching backend `microtek&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-microtek.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-microtek.so.1&#39;
[dll] init: initializing backend `microtek&#39;
[dll] init: backend `microtek&#39; is version 1.0.0
[dll] load: searching backend `matsushita&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-matsushita.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-matsushita.so.1&#39;
[dll] init: initializing backend `matsushita&#39;
[dll] init: backend `matsushita&#39; is version 1.0.7
[dll] load: searching backend `magicolor&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-magicolor.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-magicolor.so.1&#39;
[dll] init: initializing backend `magicolor&#39;
[dll] init: backend `magicolor&#39; is version 1.0.1
[dll] load: searching backend `ma1509&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-ma1509.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-ma1509.so.1&#39;
[dll] init: initializing backend `ma1509&#39;
[dll] init: backend `ma1509&#39; is version 1.0.3
[dll] load: searching backend `lexmark&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-lexmark.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-lexmark.so.1&#39;
[dll] init: initializing backend `lexmark&#39;
[dll] init: backend `lexmark&#39; is version 1.0.32
[dll] load: searching backend `leo&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-leo.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-leo.so.1&#39;
[dll] init: initializing backend `leo&#39;
[dll] init: backend `leo&#39; is version 1.0.11
[dll] load: searching backend `kvs20xx&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-kvs20xx.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-kvs20xx.so.1&#39;
[dll] init: initializing backend `kvs20xx&#39;
[dll] init: backend `kvs20xx&#39; is version 1.0.2
[dll] load: searching backend `kvs1025&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-kvs1025.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-kvs1025.so.1&#39;
[dll] init: initializing backend `kvs1025&#39;
[dll] init: backend `kvs1025&#39; is version 1.0.5
[dll] load: searching backend `kodakaio&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-kodakaio.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-kodakaio.so.1&#39;
[dll] init: initializing backend `kodakaio&#39;
[dll] init: backend `kodakaio&#39; is version 1.0.7
[dll] load: searching backend `kodak&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-kodak.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-kodak.so.1&#39;
[dll] init: initializing backend `kodak&#39;
[dll] init: backend `kodak&#39; is version 1.0.7
[dll] load: searching backend `ibm&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-ibm.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-ibm.so.1&#39;
[dll] init: initializing backend `ibm&#39;
[dll] init: backend `ibm&#39; is version 1.0.0
[dll] load: searching backend `hs2p&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-hs2p.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-hs2p.so.1&#39;
[dll] init: initializing backend `hs2p&#39;
[dll] init: backend `hs2p&#39; is version 1.0.0
[dll] load: searching backend `hpljm1005&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-hpljm1005.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-hpljm1005.so.1&#39;
[dll] init: initializing backend `hpljm1005&#39;
[dll] init: backend `hpljm1005&#39; is version 1.0.1
[dll] load: searching backend `hp5590&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-hp5590.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-hp5590.so.1&#39;
[dll] init: initializing backend `hp5590&#39;
[dll] init: backend `hp5590&#39; is version 1.0.7
[dll] load: searching backend `hp5400&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-hp5400.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-hp5400.so.1&#39;
[dll] init: initializing backend `hp5400&#39;
[dll] init: backend `hp5400&#39; is version 1.0.3
[dll] load: searching backend `hp4200&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-hp4200.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-hp4200.so.1&#39;
[dll] init: initializing backend `hp4200&#39;
[dll] init: backend `hp4200&#39; is version 1.0.0
[dll] load: searching backend `hp3500&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-hp3500.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-hp3500.so.1&#39;
[dll] init: initializing backend `hp3500&#39;
[dll] init: backend `hp3500&#39; is version 1.0.0
[dll] load: searching backend `hpsj5s&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-hpsj5s.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-hpsj5s.so.1&#39;
[dll] init: initializing backend `hpsj5s&#39;
[dll] init: backend `hpsj5s&#39; is version 1.0.3
[dll] load: searching backend `hp3900&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-hp3900.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-hp3900.so.1&#39;
[dll] init: initializing backend `hp3900&#39;
[dll] init: backend `hp3900&#39; is version 1.0.0
[dll] load: searching backend `hp&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-hp.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-hp.so.1&#39;
[dll] init: initializing backend `hp&#39;
[dll] init: backend `hp&#39; is version 1.0.8
[dll] load: searching backend `gt68xx&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-gt68xx.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-gt68xx.so.1&#39;
[dll] init: initializing backend `gt68xx&#39;
[dll] init: backend `gt68xx&#39; is version 1.0.84
[dll] load: searching backend `genesys&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-genesys.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-genesys.so.1&#39;
[dll] init: initializing backend `genesys&#39;
[dll] init: backend `genesys&#39; is version 1.0.2411
[dll] load: searching backend `fujitsu&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-fujitsu.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-fujitsu.so.1&#39;
[dll] init: initializing backend `fujitsu&#39;
[dll] init: backend `fujitsu&#39; is version 1.0.117
[dll] load: searching backend `epson2&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-epson2.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-epson2.so.1&#39;
[dll] init: initializing backend `epson2&#39;
[dll] init: backend `epson2&#39; is version 1.0.124
[dll] load: searching backend `epjitsu&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-epjitsu.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-epjitsu.so.1&#39;
[dll] init: initializing backend `epjitsu&#39;
[dll] init: backend `epjitsu&#39; is version 1.0.20
[dll] load: searching backend `dmc&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-dmc.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-dmc.so.1&#39;
[dll] init: initializing backend `dmc&#39;
[dll] init: backend `dmc&#39; is version 1.0.0
[dll] load: searching backend `dell1600n_net&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-dell1600n_net.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-dell1600n_net.so.1&#39;
[dll] init: initializing backend `dell1600n_net&#39;
[dll] init: backend `dell1600n_net&#39; is version 1.0.0
[dll] load: searching backend `coolscan3&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-coolscan3.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-coolscan3.so.1&#39;
[dll] init: initializing backend `coolscan3&#39;
[dll] init: backend `coolscan3&#39; is version 1.0.0
[dll] load: searching backend `coolscan&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-coolscan.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-coolscan.so.1&#39;
[dll] init: initializing backend `coolscan&#39;
[dll] init: backend `coolscan&#39; is version 1.0.0
[dll] load: searching backend `cardscan&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-cardscan.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-cardscan.so.1&#39;
[dll] init: initializing backend `cardscan&#39;
[dll] init: backend `cardscan&#39; is version 1.0.2
[dll] load: searching backend `canon_dr&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-canon_dr.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-canon_dr.so.1&#39;
[dll] init: initializing backend `canon_dr&#39;
[dll] init: backend `canon_dr&#39; is version 1.0.41
[dll] load: searching backend `canon630u&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-canon630u.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-canon630u.so.1&#39;
[dll] init: initializing backend `canon630u&#39;
[dll] init: backend `canon630u&#39; is version 1.0.1
[dll] load: searching backend `canon&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-canon.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-canon.so.1&#39;
[dll] init: initializing backend `canon&#39;
[dll] init: backend `canon&#39; is version 1.0.0
[dll] load: searching backend `bh&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-bh.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-bh.so.1&#39;
[dll] init: initializing backend `bh&#39;
[dll] init: backend `bh&#39; is version 1.0.4
[dll] load: searching backend `as6e&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-as6e.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-as6e.so.1&#39;
[dll] init: initializing backend `as6e&#39;
[dll] load: searching backend `artec_eplus48u&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-artec_eplus48u.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-artec_eplus48u.so.1&#39;
[dll] init: initializing backend `artec_eplus48u&#39;
[dll] init: backend `artec_eplus48u&#39; is version 1.0.0
[dll] load: searching backend `artec&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-artec.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-artec.so.1&#39;
[dll] init: initializing backend `artec&#39;
[dll] init: backend `artec&#39; is version 1.0.0
[dll] load: searching backend `avision&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-avision.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-avision.so.1&#39;
[dll] init: initializing backend `avision&#39;
[dll] init: backend `avision&#39; is version 1.0.296
[dll] load: searching backend `apple&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-apple.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-apple.so.1&#39;
[dll] init: initializing backend `apple&#39;
[dll] init: backend `apple&#39; is version 1.0.0
[dll] load: searching backend `agfafocus&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-agfafocus.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-agfafocus.so.1&#39;
[dll] init: initializing backend `agfafocus&#39;
[dll] init: backend `agfafocus&#39; is version 1.0.0
[dll] load: searching backend `abaton&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-abaton.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-abaton.so.1&#39;
[dll] init: initializing backend `abaton&#39;
[dll] init: backend `abaton&#39; is version 1.0.0
[dll] load: searching backend `net&#39; in `/usr/lib/sane&#39;
[dll] load: trying to load `/usr/lib/sane/libsane-net.so.1&#39;
[dll] load: dlopen()ing `/usr/lib/sane/libsane-net.so.1&#39;
[dll] init: initializing backend `net&#39;
[dll] init: backend `net&#39; is version 1.0.24
[dll] sane_get_devices: found 0 devices

No scanners were identified. If you were expecting something different,
check that the scanner is plugged in, turned on and detected by the
sane-find-scanner tool (if appropriate). Please read the documentation
which came with this software (README, FAQ, manpages).
[dll] sane_exit: exiting
[dll] sane_exit: calling backend `xerox_mfp&#39;s exit function
[dll] sane_exit: calling backend `v4l&#39;s exit function
[dll] sane_exit: calling backend `umax1220u&#39;s exit function
[dll] sane_exit: calling backend `umax&#39;s exit function
[dll] sane_exit: calling backend `u12&#39;s exit function
[dll] sane_exit: calling backend `teco3&#39;s exit function
[dll] sane_exit: calling backend `teco2&#39;s exit function
[dll] sane_exit: calling backend `teco1&#39;s exit function
[dll] sane_exit: calling backend `tamarack&#39;s exit function
[dll] sane_exit: calling backend `sp15c&#39;s exit function
[dll] sane_exit: calling backend `snapscan&#39;s exit function
[dll] sane_exit: calling backend `sm3840&#39;s exit function
[dll] sane_exit: calling backend `sm3600&#39;s exit function
[dll] sane_exit: calling backend `sharp&#39;s exit function
[dll] sane_exit: calling backend `sceptre&#39;s exit function
[dll] sane_exit: calling backend `s9036&#39;s exit function
[dll] sane_exit: calling backend `rts8891&#39;s exit function
[dll] sane_exit: calling backend `ricoh&#39;s exit function
[dll] sane_exit: calling backend `qcam&#39;s exit function
[dll] sane_exit: calling backend `plustek&#39;s exit function
[dll] sane_exit: calling backend `pixma&#39;s exit function
[dll] sane_exit: calling backend `pie&#39;s exit function
[dll] sane_exit: calling backend `niash&#39;s exit function
[dll] sane_exit: calling backend `nec&#39;s exit function
[dll] sane_exit: calling backend `mustek_usb2&#39;s exit function
[dll] sane_exit: calling backend `mustek_usb&#39;s exit function
[dll] sane_exit: calling backend `mustek&#39;s exit function
[dll] sane_exit: calling backend `microtek2&#39;s exit function
[dll] sane_exit: calling backend `microtek&#39;s exit function
[dll] sane_exit: calling backend `matsushita&#39;s exit function
[dll] sane_exit: calling backend `magicolor&#39;s exit function
[dll] sane_exit: calling backend `ma1509&#39;s exit function
[dll] sane_exit: calling backend `lexmark&#39;s exit function
[dll] sane_exit: calling backend `leo&#39;s exit function
[dll] sane_exit: calling backend `kvs20xx&#39;s exit function
[dll] sane_exit: calling backend `kvs1025&#39;s exit function
[dll] sane_exit: calling backend `kodakaio&#39;s exit function
[dll] sane_exit: calling backend `kodak&#39;s exit function
[dll] sane_exit: calling backend `ibm&#39;s exit function
[dll] sane_exit: calling backend `hs2p&#39;s exit function
[dll] sane_exit: calling backend `hpljm1005&#39;s exit function
[dll] sane_exit: calling backend `hp5590&#39;s exit function
[dll] sane_exit: calling backend `hp5400&#39;s exit function
[dll] sane_exit: calling backend `hp4200&#39;s exit function
[dll] sane_exit: calling backend `hp3500&#39;s exit function
[dll] sane_exit: calling backend `hpsj5s&#39;s exit function
[dll] sane_exit: calling backend `hp3900&#39;s exit function
[dll] sane_exit: calling backend `hp&#39;s exit function
[dll] sane_exit: calling backend `gt68xx&#39;s exit function
[dll] sane_exit: calling backend `genesys&#39;s exit function
[dll] sane_exit: calling backend `fujitsu&#39;s exit function
[dll] sane_exit: calling backend `epson2&#39;s exit function
[dll] sane_exit: calling backend `epjitsu&#39;s exit function
[dll] sane_exit: calling backend `dmc&#39;s exit function
[dll] sane_exit: calling backend `dell1600n_net&#39;s exit function
[dll] sane_exit: calling backend `coolscan3&#39;s exit function
[dll] sane_exit: calling backend `coolscan&#39;s exit function
[dll] sane_exit: calling backend `cardscan&#39;s exit function
[dll] sane_exit: calling backend `canon_dr&#39;s exit function
[dll] sane_exit: calling backend `canon630u&#39;s exit function
[dll] sane_exit: calling backend `canon&#39;s exit function
[dll] sane_exit: calling backend `bh&#39;s exit function
[dll] sane_exit: calling backend `artec_eplus48u&#39;s exit function
[dll] sane_exit: calling backend `artec&#39;s exit function
[dll] sane_exit: calling backend `avision&#39;s exit function
[dll] sane_exit: calling backend `apple&#39;s exit function
[dll] sane_exit: calling backend `agfafocus&#39;s exit function
[dll] sane_exit: calling backend `abaton&#39;s exit function
[dll] sane_exit: calling backend `net&#39;s exit function
[dll] sane_exit: finished

Ну и
hp-check
[ingeneer@ingeneer-pro ~]$ hp-check
Saving output in log file: /home/ingeneer/hp-check.log

HP Linux Imaging and Printing System (ver. 3.14.6)
Dependency/Version Check Utility ver. 15.1

Copyright (c) 2001-13 Hewlett-Packard Development Company, LP
This software comes with ABSOLUTELY NO WARRANTY.
This is free software, and you are welcome to distribute it
under certain conditions. See COPYING file for more details.

Note: hp-check can be run in three modes:
1. Compile-time check mode (-c or --compile): Use this mode before compiling the HPLIP supplied tarball (.tar.gz or .run) to determine if the proper dependencies are installed to
successfully compile HPLIP.
2. Run-time check mode (-r or --run): Use this mode to determine if a distro supplied package (.deb, .rpm, etc) or an already built HPLIP supplied tarball has the proper
dependencies installed to successfully run.
3. Both compile- and run-time check mode (-b or --both) (Default): This mode will check both of the above cases (both compile- and run-time dependencies).

Check types:
a. EXTERNALDEP - External Dependencies
b. GENERALDEP - General Dependencies (required both at compile and run time)
c. COMPILEDEP - Compile time Dependencies
d. [All are run-time checks]
PYEXT SCANCONF QUEUES PERMISSION

Status Types:
OK
MISSING - Missing Dependency or Permission or Plug-in
INCOMPAT - Incompatible dependency-version or Plugin-version

warning: manjarolinux distro is not found in AUTH_TYPES
/
(hp-check:1860): Gtk-WARNING **: ??????????? ?????? ??? ?? ?????? ? module_path: ?adwaita?,

(hp-check:1860): Gtk-WARNING **: ??????????? ?????? ??? ?? ?????? ? module_path: ?adwaita?,
warning: unknown-0.0 version is not supported. Using unknown-0 versions dependencies to verify and install...

---------------
| SYSTEM INFO |
---------------

Kernel: 3.15.6-1-MANJARO #1 SMP PREEMPT Fri Jul 18 09:43:27 UTC 2014 GNU/Linux
Host: ingeneer-pro
Proc: 3.15.6-1-MANJARO #1 SMP PREEMPT Fri Jul 18 09:43:27 UTC 2014 GNU/Linux
Distribution: unknown 0.0
Bitness: 64 bit


-----------------------
| HPLIP CONFIGURATION |
-----------------------

HPLIP-Version: HPLIP 3.14.6
HPLIP-Home: /usr/share/hplip
warning: HPLIP-Installation: Auto installation is not supported for unknown distro 0.0 version

Current contents of &#39;/etc/hp/hplip.conf&#39; file:
# hplip.conf. Generated from hplip.conf.in by configure.

[hplip]
version=3.14.6

[dirs]
home=/usr/share/hplip
run=/var/run
ppd=/usr/share/ppd/HP
ppdbase=/usr/share/ppd
doc=/usr/share/doc/hplip-3.14.6
html=/usr/share/doc/hplip-3.14.6
icon=/usr/share/applications
cupsbackend=/usr/lib/cups/backend
cupsfilter=/usr/lib/cups/filter
drv=/usr/share/cups/drv/hp
bin=/usr/bin

# Following values are determined at configure time and cannot be changed.
[configure]
network-build=yes
libusb01-build=no
pp-build=yes
gui-build=yes
scanner-build=yes
fax-build=yes
dbus-build=yes
cups11-build=no
doc-build=yes
shadow-build=no
hpijs-install=yes
foomatic-drv-install=yes
foomatic-ppd-install=yes
foomatic-rip-hplip-install=no
hpcups-install=yes
cups-drv-install=yes
cups-ppd-install=yes
internal-tag=3.14.6
restricted-build=no
ui-toolkit=qt4
qt3=no
qt4=yes
policy-kit=no
lite-build=no
udev_sysfs_rules=no
hpcups-only-build=no
hpijs-only-build=no


Current contents of &#39;/var/lib/hp/hplip.state&#39; file:
[plugin]
installed = 1
eula = 1
version = 3.14.6



Current contents of &#39;~/.hplip/hplip.conf&#39; file:
[settings]
systray_visible = 2
systray_messages = 2

[last_used]
device_uri = "hp:/net/HP_LaserJet_M1120n_MFP?ip=192.168.78.240"
printer_name =
working_dir = .

[commands]
scan = "/usr/bin/xscanimage "

[refresh]
rate = 30
enable = true
type = 2

[polling]
enable = false
interval = 5
device_list =

[fax]
voice_phone =
email_address =

[upgrade]
notify_upgrade = false
last_upgraded_time = 1406104218.33027
pending_upgrade_time = 0

[installation]
date_time = 23.07.2014 12:36:44
version = 3.14.6


<Package-name> <Package-Desc> <Required/Optional> <Min-Version> <Installed-Version> <Status> <Comment>

--------------------------
| External Dependencies |
--------------------------

policykit Admin-Policy-framework OPTIONAL - 0.112 OK -
gs Ghostscript REQUIRED 7.05 9.14 OK -
network Network-wget OPTIONAL - 1.15 OK -
scanimage Shell-Scanning OPTIONAL 1.0 128 OK -
avahi-utils avahi-utils OPTIONAL - 0.6.31 OK -
dbus DBus REQUIRED - 1.8.6 OK -
cups CUPS REQUIRED 1.1 1.7.4 OK &#39;CUPS Scheduler is running&#39;
error: xsane SANE-GUI OPTIONAL 0.9 - MISSING &#39;xsane needs to be installed&#39;

-------------------------
| General Dependencies |
-------------------------

error: reportlab Python-PDF-Lib OPTIONAL 2.0 - MISSING &#39;reportlab needs to be installed&#39;
libcrypto OpenSSL-Crypto-Lib REQUIRED - 1.0.1 OK -
pil Python-Image-Lib OPTIONAL - 1.1.7 OK -
pyqt4-dbus PyQt4-DBUS REQUIRED 4.0 4.11.1 OK -
libjpeg JPEG-Lib REQUIRED - - OK -
libpthread POSIX-Threads-Lib REQUIRED - 2.19 OK -
python-dbus Python-DBUS REQUIRED 0.80.0 1.2.0 OK -
python-devel Python-SDK REQUIRED 2.2 3.4.1 OK -
pyqt4 Python-Qt4 REQUIRED 4.0 4.11.1 OK -
cups-devel CUPS-SDK REQUIRED - 1.7.4 OK -
sane-devel SANE-SDK REQUIRED - 1.0.24 OK -
libusb USB-Lib REQUIRED - 1.0 OK -
sane Scan-Lib REQUIRED - 1.0.24 OK -
cups-image CUPS-Image-Lib REQUIRED - 1.7.4 OK -
libnetsnmp-devel SNMP-Networking-SDK REQUIRED 5.0.9 5.7.2 OK -
python-xml Python-XML-Lib REQUIRED - 2.1.0 OK -
python-notify Desktop-notifications OPTIONAL - - OK -

------------------------------
| Compile Time Dependencies |
------------------------------

gcc gcc-Compiler REQUIRED - 4.9.0 OK -
libtool Build-tools REQUIRED - 2.4.2 OK -
make GNU-Build-tools REQUIRED 3.0 4.0 OK -

----------------------
| Python Extentions |
----------------------

cupsext CUPS-Extension REQUIRED - 3.14.6 OK -
pcardext PhotoCard-Extension REQUIRED - 3.14.6 OK -
hpmudext IO-Extension REQUIRED - 3.14.6 OK -

-----------------------
| Scan Configuration |
-----------------------

&#39;/etc/sane.d/dll.d/hpaio&#39; not found.
&#39;/etc/sane.d/dll.d/hplip&#39; not found.
error: &#39;hpaio&#39; not found in SANE conf files. Is SANE installed?
error: hpaio HPLIP-SANE-Backend REQUIRED - 3.14.6 MISSING &#39;hpaio not found in /etc/sane.d/dll.conf. hpaio needs to be added in this file.&#39;
scanext Scan-SANE-Extension REQUIRED - 3.14.6 OK -

------------------------------
| DISCOVERED SCANNER DEVICES |
------------------------------

No Scanner found.

--------------------------
| DISCOVERED USB DEVICES |
--------------------------

No devices found.

---------------------------------
| INSTALLED CUPS PRINTER QUEUES |
---------------------------------


HP_LaserJet_M1120n_MFP
----------------------
Type: Printer
Device URI: hp:/net/HP_LaserJet_M1120n_MFP?ip=192.168.78.240
PPD: /etc/cups/ppd/HP_LaserJet_M1120n_MFP.ppd
PPD Description: HP LaserJet m1120n MFP, hpcups 3.14.6, requires proprietary plugin
Printer status: printer HP_LaserJet_M1120n_MFP is idle. enabled since Ср 23 июл 2014 11:29:07
Required plug-in status: Installed
Communication status: Good


--------------
| PERMISSION |
--------------


-----------
| SUMMARY |
-----------

Missing Required Dependencies
-----------------------------
error: &#39;hpaio&#39; package is missing/incompatible

Missing Optional Dependencies
-----------------------------
None


Total Errors: 3
Total Warnings: 0

Run &#39;hp-doctor&#39; command to prompt and fix the issues.

Done.

В дополнении я поставил sane-frontends и libksane.... В результате в hp device manager у меня появился значок сканера. Установил simple-scan, но устройства в системе не обнаружилось...

Добавлено спустя 1 минуту 51 секунду:
меня смущаю вот эти строки:
/etc/sane.d/dll.d/hpaio' not found.
'/etc/sane.d/dll.d/hplip' not found.

Может как-то это необходимо исправить?
Аватара пользователя
Рарогъ
 
Автор темы
Сообщения: 67
Зарегистрирован: 04 июл 2014, 22:21
Откуда: Анапа
Благодарил (а): 3 раз.
Поблагодарили: 6 раз.

Re: HPLIP в manjaro

Сообщение dimonmmk » 23 июл 2014, 13:07

sane-find-scanner

Да, пользователь-то в группе scanner? Нет? Тогда
usermod -g scanner <username>

И смотрите что доктор скажет
hp-doctor

Добавлено спустя 9 минут 31 секунду:
Рарогъ писал(а):меня смущаю вот эти строки:
/etc/sane.d/dll.d/hpaio' not found.
'/etc/sane.d/dll.d/hplip' not found.
Может как-то это необходимо исправить?

Нужно.
Каталог /etc/sane.d есть? Файл /etc/sane.d/dll.conf есть?
hpaio в нем раскоментирован?
Файл /etc/sane.d/hpaio.conf есть?
Сканер в нем прописан?
Тогда ребут (неправославно, но помогает) и пробуем hp-scan.
Аватара пользователя
dimonmmk
 
Сообщения: 604
Зарегистрирован: 10 июл 2014, 19:08
Откуда: 57° 3'51.28" 36° 1'43.38"
Благодарил (а): 14 раз.
Поблагодарили: 134 раз.

Re: HPLIP в manjaro

Сообщение Manul » 23 июл 2014, 21:32

Ого тут без меня жизнь кипит.. Да, про группу тоже хотел написать.
добавь hpaio в /etc/sane.d/dll.conf

sudo nano /etc/sane.d/dll.conf и внизу допиши hpaio
потом
ctrl+o
enter
Ctrl+x
и запускай sudo hp-setup
Аватара пользователя
Manul
 
Сообщения: 47
Зарегистрирован: 01 июл 2014, 01:19
Благодарил (а): 3 раз.
Поблагодарили: 2 раз.

Re: HPLIP в manjaro

Сообщение Рарогъ » 24 июл 2014, 12:18

И так последовательно.....
1. Добавил пользователя в группу scanner и выполнил вот это:
sane-find-scanner
[root@ingeneer-pro etc]# sane-find-scanner

# sane-find-scanner will now attempt to detect your scanner. If the
# result is different from what you expected, first make sure your
# scanner is powered up and properly connected to your computer.

# No SCSI scanners found. If you expected something different, make sure that
# you have loaded a kernel SCSI driver for your SCSI adapter.
# Also you need support for SCSI Generic (sg) in your operating system.
# If using Linux, try "modprobe sg".

# No USB scanners found. If you expected something different, make sure that
# you have loaded a kernel driver for your USB host controller and have setup
# the USB system correctly. See man sane-usb for details.

# Not checking for parallel port scanners.

# Most Scanners connected to the parallel port or other proprietary ports
# can&#39;t be detected by this program.

Каталог /etc/sane.d есть?

ЕСТЬ
Файл /etc/sane.d/dll.conf есть?

ЕСТЬ
hpaio в нем раскоментирован?

РАСКОМЕНТИРОВАН... а вообще вот он:
dll.conf
# enable the next line if you want to allow access through the network:
net
abaton
agfafocus
apple
avision
artec
artec_eplus48u
as6e
bh
canon
canon630u
canon_dr
#canon_pp
cardscan
coolscan
#coolscan2
coolscan3
#dc25
#dc210
#dc240
dell1600n_net
dmc
epjitsu
#epson
epson2
fujitsu
#gphoto2
genesys
gt68xx
hp
hp3900
hpsj5s
hp3500
hp4200
hp5400
hp5590
hpljm1005
hs2p
ibm
kodak
kodakaio
kvs1025
kvs20xx
leo
lexmark
ma1509
magicolor
matsushita
microtek
microtek2
mustek
#mustek_pp
mustek_usb
mustek_usb2
nec
niash
#p5
pie
pint
pixma
plustek
#plustek_pp
#pnm
qcam
ricoh
rts8891
s9036
sceptre
sharp
sm3600
sm3840
snapscan
sp15c
#st400
#stv680
tamarack
teco1
teco2
teco3
#test
u12
umax
#umax_pp
umax1220u
v4l
xerox_mfp
hpaio

Файл /etc/sane.d/hpaio.conf есть?

А вот такого файлика нету ((((((
После всего делаем то, что делал в начале )))
sane-find-scanner
[root@ingeneer-pro sane.d]# sane-find-scanner

# sane-find-scanner will now attempt to detect your scanner. If the
# result is different from what you expected, first make sure your
# scanner is powered up and properly connected to your computer.

# No SCSI scanners found. If you expected something different, make sure that
# you have loaded a kernel SCSI driver for your SCSI adapter.
# Also you need support for SCSI Generic (sg) in your operating system.
# If using Linux, try "modprobe sg".

# No USB scanners found. If you expected something different, make sure that
# you have loaded a kernel driver for your USB host controller and have setup
# the USB system correctly. See man sane-usb for details.

# Not checking for parallel port scanners.

# Most Scanners connected to the parallel port or other proprietary ports
# can&#39;t be detected by this program.

По моему ничего не поменялось (((((
Идем дальше.....
и запускай sudo hp-setup

Для чего? Принтер уже установлен...... при выполнении этой команды он пытается установить второй принтер в систему.....

Добавлено спустя 31 минуту 54 секунды:
:Yahoo!: :Yahoo!: :Yahoo!: :Yahoo!: ЕСТЬ ЖИЗНЬ НА МАРСЕ!!!!!!!!!!!!!!!!!!!!!! :Yahoo!: :Yahoo!: :Yahoo!: :Yahoo!:
Файл /etc/sane.d/hpaio.conf так и не появился, но simple-scan нашел сканер и отсканировал первый листик после перезагрузки компа))))) :%)
Теперь попробую собрать все воедино )))))) ... Что-то типа инструкции )))))

==================================================================

И так ЗАДАЧА: Установить в системе МФУ HP LazerLet M1120n MFP, работающий в качестве принт-сервера в локальной сети (то есть связь с устройством через локальную сеть)

Видимо можно сначала все установить... что я устанавливал дополнительно....
из графической оболочки pacman c включенной галочкой аура (если наши гуру приведут варианты установки данных пакетов из консоли... наверное это будет ОООчень здорово!!!)
foo2zjs
foo2zjs-utils
sane-frontends
libksane


Удаляем ссылку на питон3 и меняем на питон 2
Код: Выделить всё
   rm /usr/bin/python
   ln -s /usr/bin/python2 /usr/bin/python


Устанавливаем принтер и плагин
hp-plugin
(Кстати в ауре есть hplip-plugin.... я его не ставил, но есть подозрение, что это то же самое, что и оригинальный hp-plugin)
hp-setup
У меня пошло именно в такой последовательности

и возвращаем все обратно
Код: Выделить всё
    rm /usr/bin/python
    ln -s /usr/bin/python3 /usr/bin/python


Проверить наличие
Каталог /etc/sane.d
Файл /etc/sane.d/dll.conf
hpaio в /etc/sane.d/dll.conf должен быть раскоментирован


Добавить пользователя в группу scanner

Вроде бы ничего не забыл.... потом я ребутнулся и всё пошло!!!!

Две контрольных перезагрузки (пока тёр глаза, думая что это мираж) - и принтер и сканер работают устойчиво!!!

Всех благ принимавшим участие! И да сохранятся нервы и время тех, кому предстоит!!!!!

P.S. На заметку админам.... из беседы вывалилось одно мое сообщение... как раз то, на котором у меня пошел принтер..... Что там было я не помню, возможно что-то пропустил.... Мне предстоит несколько переустановок системы ))))) Манджаро рулит ))), а соответственно и установок этого чудо устройства. Если что добавится, то напишу прямо в этом сообщении.
Последний раз редактировалось Рарогъ 24 июл 2014, 13:39, всего редактировалось 5 раз(а).
Аватара пользователя
Рарогъ
 
Автор темы
Сообщения: 67
Зарегистрирован: 04 июл 2014, 22:21
Откуда: Анапа
Благодарил (а): 3 раз.
Поблагодарили: 6 раз.

Re: HPLIP в manjaro

Сообщение dimonmmk » 24 июл 2014, 14:32

Рарогъ писал(а): ЕСТЬ ЖИЗНЬ НА МАРСЕ!!!!!!!!!!!!!!!!!!!!!!
Файл /etc/sane.d/hpaio.conf так и не появился, но simple-scan нашел сканер

Значит, сканер в каком-то другом файле прописался, и после перезагрузки нашелся. В sane конфигов как у дурака фантиков, и разные устройства прописываются в разные файлы. Для интереса поищите, где именно все-таки прописался Ваш сканер. Ну, просто чтоб знать.
Manul писал(а):варианты установки данных пакетов из консоли...

Код: Выделить всё
yaourt -S foo2zjs foo2zjs-utils sane-frontends libksane

Рарогъ писал(а):Две контрольных перезагрузки (пока тёр глаза, думая что это мираж) - и принтер и сканер работают устойчиво!!!
Ну чо, можете цеплять к админскомк бубну новый бубенчик. :Bravo:
Рарогъ писал(а):hp-setup
из беседы вывалилось одно мое сообщение... как раз то, на котором у меня пошел принтер..... Что там было я не помню
По сути sudo hp-setup -i это тот же hp-setup, только в консоли.....
Не совсем: hp-setup у Вас завис на определении дистрибутива, sudo hp-setup -i эту кочку проскочил и работу завершил. Консоль рулит. :)

Рарогъ писал(а):Мне предстоит несколько переустановок системы ... , а соответственно и установок этого чудо устройства. Если что добавится, то напишу прямо в этом сообщении.
Лучше в отдельном. С учетом Ваших многократных опытов может получится HOWTO по установке в Манжаро МФУ от НР. А если в Вашем МФУ имеется факс и Вы опишете и его подключение - вообще роскошно получится.
Кстати, вот мануал, про факс с 17го пункта: http://hplipopensource.com/hplip-web/in ... s/net.html
Аватара пользователя
dimonmmk
 
Сообщения: 604
Зарегистрирован: 10 июл 2014, 19:08
Откуда: 57° 3'51.28" 36° 1'43.38"
Благодарил (а): 14 раз.
Поблагодарили: 134 раз.

Пред.След.

Вернуться в Ядро & Оборудование



Кто сейчас на конференции

Сейчас этот форум просматривают: нет зарегистрированных пользователей и гости: 1